/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import io.swagger.annotations.ApiModel;
import com.google.gson.annotations.SerializedName;

import java.io.IOException;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * * created &#x3D; initial status of each revision * confirmed/rejected &#x3D; after positive/negative review * archived &#x3D; final status 
 */
@JsonAdapter(ReviewStatus.Adapter.class)
public enum ReviewStatus {
  
created("created"),
  
confirmed("confirmed"),
  
rejected("rejected"),
  
archived("archived");

  private String value;

  ReviewStatus(String value) {
    this.value = value;
  }

  public String getValue() {
    return value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static ReviewStatus fromValue(String value) {
    for (ReviewStatus b : ReviewStatus.values()) {
      if (b.value.equals(value)) {
        return b;
      }
    }
    throw new IllegalArgumentException("Unexpected value '" + value + "'");
  }

  public static class Adapter extends TypeAdapter<ReviewStatus> {
    @Override
    public void write(final JsonWriter jsonWriter, final ReviewStatus enumeration) throws IOException {
      jsonWriter.value(enumeration.getValue());
    }

    @Override
    public ReviewStatus read(final JsonReader jsonReader) throws IOException {
      String value = jsonReader.nextString();
      return ReviewStatus.fromValue(value);
    }
  }
}

